Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#29621 - [ifplugd] Missing 'net-tools' dependency (or should be updated for iproute2)

Attached to Project: Arch Linux
Opened by jstjohn (jstjohn) - Thursday, 26 April 2012, 01:35 GMT
Last edited by Dave Reisner (falconindy) - Saturday, 28 April 2012, 18:54 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Thomas B├Ąchler (brain0)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description: ifplugd is missing 'net-tools' as a required dependency, or the /etc/ifplugd/ifdown.d/01-route.sh script needs to be updated for iproute2. I prefer the latter option, given that Arch is trying to move towards iproute2 over net-tools.
# pacman -Qo /etc/ifplugd/ifdown.d/01-route.sh
/etc/ifplugd/ifdown.d/01-route.sh is owned by ifplugd 0.28-8

The contents of 01-route.sh are pasted below:
#!/bin/sh
# same as up...
/sbin/route del $1

Additional info:
* package version(s): 0.28-8

Note that /etc/ifplugd/ifup.d/01-route.sh also depends on net-tools.
This task depends upon

Closed by  Dave Reisner (falconindy)
Saturday, 28 April 2012, 18:54 GMT
Reason for closing:  Fixed
Additional comments about closing:  extra/ifplugd-0.28-10

Loading...